package cn.teammodel.model.dto.admin;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author winter
 * @create 2023-12-13 17:34
 */
@Data
public class UpdateAchievementRuleDto {
    @NotNull
    @ApiModelProperty("学段 id")
    private String periodId;
    @ApiModelProperty("更新的 rule 节点: 将会直接覆盖老节点")
    private UpdateRule updateRule;

    @Data
    public static class UpdateRule {
        @NotNull
        private String id;
        /**
         * 等级名称
         */
        @NotNull
        private String name;
        /**
         * 等级 logo
         */
        @NotNull
        private String logo;
        /**
         * 每次所需表扬数
         */
        @NotNull
        private Integer levelCount;
        /**
         * 晋级所需下一等级所需当前等级次数
         */
        @NotNull
        private Integer promotionLevel;
    }
}
